#include <stdio.h>
#include <stdlib.h>

#define ONE 6UL
#define TWO 0x6
#define THREE 6.0
#define FOUR '\66'
#define FIVE '9'
#define SIX 9L
#define SEVEN 9.0L
#define EIGHT 0x9
int main(void) {
	unsigned long int one = ONE;
	int two = TWO;
	double three = THREE;
	char four = FOUR;
    char five = FIVE;
	long int six = SIX;
	long double seven = SEVEN;
	int eight = EIGHT;
	printf("%lu\n",one);
	printf("%x\n",two);
	printf("%lf\n",three);
	printf("%c\n",four);
	printf("%c\n",five);
	printf("%ld\n",six);
	printf("%Lf\n",seven);
	printf("%x\n",eight);
    return EXIT_SUCCESS;
}